.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 200px;
    height: 40px;
    padding: 10px;
    background-color: #f2f2f2;
    border: 1px solid #ddd;
    cursor: pointer;
}

.title {
    font-weight: bold;
}

.owner {
    font-style: italic;
}

.arrow {
    width: 0;
    height: 0;
    border-style: solid;
    border-width: 0 5px 5px 5px;
    border-color: transparent transparent #555 transparent;
    margin-right: 10px;
    transition: transform 0.3s ease;
}

.arrow.open {
    transform: rotate(-135deg);
}

.dropdown-content {
    position: absolute;
    top: 40px;
    left: 0;
    right: 0;
    padding: 10px;
    background-color: #fff;
    border: 1px solid #ddd;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    opacity: 0;
    visibility: hidden;
    transition: opacity 0.3s ease, visibility 0.3s ease;
}

.dropdown-content.show {
    opacity: 1;
    visibility: visible;
}